Update organization-level Connect configuration
Updates the specified Organization-Level Connect configuration to the values provided in the request body definition. See Enable OAuth for Connect for an example Connect definition.
Required scopes: connect_org_config_write_api
Authentication
AuthorizationBearer
OAuth2 Access code Grant
Path parameters
organizationId
The GUID ID of the organization where the Organization-Level Connect configuration is defined.
connectId
The GUID ID of the Organization-Level Connect configuration to update.
Request
This endpoint expects an object: connectRequest
connectId
configurationType
allowEnvelopePublish
urlToPublishTo
deliveryMode
events
associatedFilterSelection
groupIds
accountIds
userIds
name
signMessageWithX509Certificate
includeOAuth
includeHMAC
pausePublish
eventData
Response
OK
connectId
configurationType
allowEnvelopePublish
urlToPublishTo
deliveryMode
events
associatedFilterSelection
accountIds
userIds
groupIds
name
signMessageWithX509Certificate
includeOAuth
includeHMAC
pausePublish
eventData